WP6ContentListener Class Reference documentation

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
WP6ContentListener Class Reference

`#include <WP6ContentListener.h>`

Inheritance diagram for WP6ContentListener:

## Public Member Functions
| WP6ContentListener (std::list< WPXPageSpan > &pageList, WPXTableList tableList, librevenge::RVNGTextInterface *documentInterface)
| ~WP6ContentListener () override
void | startDocument () override
void | startSubDocument () override
void | setDate (const unsigned short type, const unsigned short year, const unsigned char month, const unsigned char day, const unsigned char hour, const unsigned char minute, const unsigned char second, const unsigned char dayOfWeek, const unsigned char timeZone, const unsigned char unused) override
void | setExtendedInformation (const unsigned short type, const librevenge::RVNGString &data) override
void | setAlignmentCharacter (const unsigned character) override
void | setLeaderCharacter (const unsigned character, const unsigned char numSpaces) override
void | defineTabStops (const bool isRelative, const std::vector< WPXTabStop > &tabStops, const std::vector< bool > &usePreWP9LeaderMethods) override
void | insertCharacter (unsigned character) override
void | insertTab (const unsigned char tabType, double tabPosition) override
void | handleLineBreak () override
void | insertEOL () override
void | insertBreak (const unsigned char breakType) override
void | lineSpacingChange (const double lineSpacing) override
void | justificationChange (const unsigned char justification) override
void | characterColorChange (const unsigned char red, const unsigned char green, const unsigned char blue) override
void | characterShadingChange (const unsigned char shading) override
void | highlightChange (const bool isOn, const RGBSColor &color) override
void | fontChange (const unsigned short matchedFontPointSize, const unsigned short fontPID, const librevenge::RVNGString &fontName) override
void | attributeChange (const bool isOn, const unsigned char attribute) override
void | spacingAfterParagraphChange (const double spacingRelative, const double spacingAbsolute) override
void | pageNumberingChange (const WPXPageNumberPosition, const unsigned short, const unsigned short) override
void | pageMarginChange (const unsigned char, const unsigned short) override
void | pageFormChange (const unsigned short, const unsigned short, const WPXFormOrientation) override
void | marginChange (const unsigned char side, const unsigned short margin) override
void | paragraphMarginChange (const unsigned char side, const signed short margin) override
void | indentFirstLineChange (const signed short offset) override
void | columnChange (const WPXTextColumnType columnType, const unsigned char numColumns, const std::vector< double > &columnWidth, const std::vector< bool > &isFixedWidth) override
void | updateOutlineDefinition (const unsigned short outlineHash, const unsigned char *numberingMethods, const unsigned char tabBehaviourFlag) override
void | paragraphNumberOn (const unsigned short outlineHash, const unsigned char level, const unsigned char flag) override
void | paragraphNumberOff () override
void | displayNumberReferenceGroupOn (const unsigned char subGroup, const unsigned char level) override
void | displayNumberReferenceGroupOff (const unsigned char subGroup) override
void | styleGroupOn (const unsigned char subGroup) override
void | styleGroupOff (const unsigned char subGroup) override
void | globalOn (const unsigned char systemStyle) override
void | globalOff () override
void | noteOn (const unsigned short textPID) override
void | noteOff (const WPXNoteType noteType) override
void | headerFooterGroup (const unsigned char, const unsigned char, const unsigned short) override
void | suppressPageCharacteristics (const unsigned char) override
void | setPageNumber (const unsigned short) override
void | setPageNumberingType (const WPXNumberingType pageNumberingType) override
void | endDocument () override
void | endSubDocument () override
void | defineTable (const unsigned char position, const unsigned short leftOffset) override
void | addTableColumnDefinition (const unsigned width, const unsigned leftGutter, const unsigned rightGutter, const unsigned attributes, const unsigned char alignment) override
void | startTable () override
void | insertRow (const unsigned short rowHeight, const bool isMinimumHeight, const bool isHeaderRow) override
void | insertCell (const unsigned char colSpan, const unsigned char rowSpan, const unsigned char borderBits, const RGBSColor *cellFgColor, const RGBSColor *cellBgColor, const RGBSColor *cellBorderColor, const WPXVerticalAlignment cellVerticalAlignment, const bool useCellAttributes, const unsigned cellAttributes) override
void | endTable () override
void | boxOn (const unsigned char anchoringType, const unsigned char generalPositioningFlags, const unsigned char horizontalPositioningFlags, const signed short horizontalOffset, const unsigned char leftColumn, const unsigned char rightColumn, const unsigned char verticalPositioningFlags, const signed short verticalOffset, const unsigned char widthFlags, const unsigned short width, const unsigned char heightFlags, const unsigned short height, const unsigned char boxContentType, const unsigned short nativeWidth, const unsigned short nativeHeight, const librevenge::RVNGString &linkTarget) override
void | boxOff () override
void | insertGraphicsData (const unsigned short packetId) override
void | insertTextBox (const WP6SubDocument *subDocument) override
void | commentAnnotation (const unsigned short textPID) override
void | undoChange (const unsigned char undoType, const unsigned short undoLevel) override
Public Member Functions inherited from WP6Listener
| WP6Listener ()
virtual | ~WP6Listener ()
virtual void | startDocument ()=0
virtual void | startSubDocument ()=0
virtual void | setDate (const unsigned short type, const unsigned short year, const unsigned char month, const unsigned char day, const unsigned char hour, const unsigned char minute, const unsigned char second, const unsigned char dayOfWeek, const unsigned char timeZone, const unsigned char unused)=0
virtual void | setExtendedInformation (const unsigned short type, const librevenge::RVNGString &data)=0
virtual void | setAlignmentCharacter (const unsigned character)=0
virtual void | setLeaderCharacter (const unsigned character, const unsigned char numSpaces)=0
virtual void | defineTabStops (const bool isRelative, const std::vector< WPXTabStop > &tabStops, const std::vector< bool > &usePreWP9LeaderMethods)=0
virtual void | insertCharacter (unsigned character)=0
virtual void | insertTab (const unsigned char tabType, double tabPosition)=0
virtual void | handleLineBreak ()=0
virtual void | insertEOL ()=0
virtual void | insertBreak (const unsigned char breakType)=0
virtual void | lineSpacingChange (const double lineSpacing)=0
virtual void | justificationChange (const unsigned char justification)=0
virtual void | characterColorChange (const unsigned char red, const unsigned char green, const unsigned char blue)=0
virtual void | characterShadingChange (const unsigned char shading)=0
virtual void | highlightChange (const bool isOn, const RGBSColor &color)=0
virtual void | fontChange (const unsigned short matchedFontPointSize, const unsigned short fontPID, const librevenge::RVNGString &fontName)=0
virtual void | attributeChange (const bool isOn, const unsigned char attribute)=0
virtual void | spacingAfterParagraphChange (const double spacingRelative, const double spacingAbsolute)=0
virtual void | pageMarginChange (const unsigned char side, const unsigned short margin)=0
virtual void | pageFormChange (const unsigned short length, const unsigned short width, const WPXFormOrientation orientation)=0
virtual void | pageNumberingChange (const WPXPageNumberPosition pageNumberPosition, const unsigned short pageNumberFontPointSize, const unsigned short pageNumberFontPID)=0
virtual void | marginChange (const unsigned char side, const unsigned short margin)=0
virtual void | paragraphMarginChange (const unsigned char side, const signed short margin)=0
virtual void | indentFirstLineChange (const signed short offset)=0
virtual void | columnChange (const WPXTextColumnType columnType, const unsigned char numColumns, const std::vector< double > &columnWidth, const std::vector< bool > &isFixedWidth)=0
virtual void | updateOutlineDefinition (const unsigned short outlineHash, const unsigned char *numberingMethods, const unsigned char tabBehaviourFlag)=0
virtual void | paragraphNumberOn (const unsigned short outlineHash, const unsigned char level, const unsigned char flag)=0
virtual void | paragraphNumberOff ()=0
virtual void | displayNumberReferenceGroupOn (const unsigned char subGroup, const unsigned char level)=0
virtual void | displayNumberReferenceGroupOff (const unsigned char subGroup)=0
virtual void | styleGroupOn (const unsigned char subGroup)=0
virtual void | styleGroupOff (const unsigned char subGroup)=0
virtual void | globalOn (const unsigned char systemStyle)=0
virtual void | globalOff ()=0
virtual void | noteOn (const unsigned short textPID)=0
virtual void | noteOff (const WPXNoteType noteType)=0
virtual void | headerFooterGroup (const unsigned char headerFooterType, const unsigned char occurrenceBits, const unsigned short textPID)=0
virtual void | suppressPageCharacteristics (const unsigned char suppressCode)=0
virtual void | setPageNumber (const unsigned short pageNumber)=0
virtual void | setPageNumberingType (const WPXNumberingType pageNumberingType)=0
virtual void | endDocument ()=0
virtual void | endSubDocument ()=0
virtual void | defineTable (const unsigned char position, const unsigned short leftOffset)=0
virtual void | addTableColumnDefinition (const unsigned width, const unsigned leftGutter, const unsigned rightGutter, const unsigned attributes, const unsigned char alignment)=0
virtual void | startTable ()=0
virtual void | insertRow (const unsigned short rowHeight, const bool isMinimumHeight, const bool isHeaderRow)=0
virtual void | insertCell (const unsigned char colSpan, const unsigned char rowSpan, const unsigned char borderBits, const RGBSColor *cellFgColor, const RGBSColor *cellBgColor, const RGBSColor *cellBorderColor, const WPXVerticalAlignment cellVerticalAlignment, const bool useCellAttributes, const unsigned cellAttributes)=0
virtual void | endTable ()=0
virtual void | undoChange (const unsigned char undoType, const unsigned short undoLevel)=0
virtual void | boxOn (const unsigned char anchoringType, const unsigned char generalPositioningFlags, const unsigned char horizontalPositioningFlags, const signed short horizontalOffset, const unsigned char leftColumn, const unsigned char rightColumn, const unsigned char verticalPositioningFlags, const signed short verticalOffset, const unsigned char widthFlags, const unsigned short width, const unsigned char heightFlags, const unsigned short height, const unsigned char boxContentType, const unsigned short nativeWidth, const unsigned short nativeHeight, const librevenge::RVNGString &linkTarget)=0
virtual void | boxOff ()=0
virtual void | insertGraphicsData (const unsigned short packetId)=0
virtual void | insertTextBox (const WP6SubDocument *subDocument)=0
virtual void | commentAnnotation (const unsigned short textPID)=0
void | setPrefixData (WP6PrefixData *prefixData)
const WP6PrefixDataPacket * | getPrefixDataPacket (const int prefixID) const
librevenge::RVNGString | getFontNameForPID (const int prefixID) const

## Protected Member Functions
void | _handleSubDocument (const WPXSubDocument *subDocument, WPXSubDocumentType subDocumentType, WPXTableList tableList, unsigned nextTableIndice=0) override
void | _paragraphNumberOn (const unsigned short outlineHash, const unsigned char level)
void | _flushText () override
void | _handleListChange (const unsigned short outlineHash)
void | _changeList () override
Protected Member Functions inherited from WPXContentListener
| WPXContentListener (std::list< WPXPageSpan > &pageList, librevenge::RVNGTextInterface *documentInterface)
| ~WPXContentListener () override
void | startDocument ()
void | startSubDocument ()
void | endDocument ()
void | endSubDocument ()
void | handleSubDocument (const WPXSubDocument *subDocument, WPXSubDocumentType subDocumentType, WPXTableList tableList, unsigned nextTableIndice)
| Creates an new document state. More...
void | insertBreak (const unsigned char breakType)
void | lineSpacingChange (const double lineSpacing)
void | justificationChange (const unsigned char justification)
virtual void | _handleSubDocument (const WPXSubDocument *subDocument, WPXSubDocumentType subDocumentType, WPXTableList tableList, unsigned nextTableIndice)=0
virtual void | _flushText ()=0
virtual void | _changeList ()=0
void | _openSection ()
void | _closeSection ()
void | _openPageSpan ()
void | _closePageSpan ()
void | _appendParagraphProperties (librevenge::RVNGPropertyList &propList, const bool isListElement=false)
void | _getTabStops (librevenge::RVNGPropertyListVector &tabStops)
void | _appendJustification (librevenge::RVNGPropertyList &propList, int justification)
void | _resetParagraphState (const bool isListElement=false)
virtual void | _openParagraph ()
void | _closeParagraph ()
void | _openListElement ()
void | _closeListElement ()
void | _openSpan ()
void | _closeSpan ()
void | _openTable ()
void | _closeTable ()
void | _openTableRow (const double height, const bool isMinimumHeight, const bool isHeaderRow)
void | _closeTableRow ()
void | _openTableCell (const unsigned char colSpan, const unsigned char rowSpan, const unsigned char borderBits, const RGBSColor *cellFgColor, const RGBSColor *cellBgColor, const RGBSColor *cellBorderColor, const WPXVerticalAlignment cellVerticalAlignment)
void | _closeTableCell ()
double | _movePositionToFirstColumn (double position)
double | _getNextTabStop () const
double | _getPreviousTabStop () const
void | _insertText (const librevenge::RVNGString &textBuffer)
void | _insertBreakIfNecessary (librevenge::RVNGPropertyList &propList)
void | _insertPageNumberParagraph (WPXPageNumberPosition position, WPXNumberingType type, librevenge::RVNGString fontName, double fontSize)
unsigned | _mapNonUnicodeCharacter (unsigned character)
Protected Member Functions inherited from WPXListener
| WPXListener (std::list< WPXPageSpan > &pageList)
virtual | ~WPXListener ()
bool | isUndoOn ()
void | setUndoOn (bool isOn)

## Private Member Functions
| WP6ContentListener (const WP6ContentListener &)
WP6ContentListener & | operator= (const WP6ContentListener &)

## Private Attributes
std::unique_ptr< WP6ContentParsingState > | m_parseState
std::map< unsigned short, WP6OutlineDefinition > | m_outlineDefineHash
std::map< unsigned, librevenge::RVNGPropertyList > | m_listDefinitions

## Additional Inherited Members
Protected Attributes inherited from WPXContentListener
std::unique_ptr< WPXContentParsingState > | m_ps
librevenge::RVNGTextInterface * | m_documentInterface
librevenge::RVNGPropertyList | m_metaData
Protected Attributes inherited from WPXListener
std::list< WPXPageSpan > & | m_pageList

## Constructor & Destructor Documentation

## ◆ WP6ContentListener() [1/2]

WP6ContentListener::WP6ContentListener | ( | std::list< WPXPageSpan > & | pageList,
|  | WPXTableList | tableList,
|  | librevenge::RVNGTextInterface * | documentInterface
| ) |  |

## ◆ ~WP6ContentListener()

WP6ContentListener::~WP6ContentListener | ( |  | ) |
| override

## ◆ WP6ContentListener() [2/2]

WP6ContentListener::WP6ContentListener | ( | const WP6ContentListener & |  | ) |
| private

## Member Function Documentation

## ◆ _changeList()

void WP6ContentListener::_changeList | ( |  | ) |
| overrideprotectedvirtual

Implements WPXContentListener.

Referenced by _handleSubDocument(), and defineTable().

## ◆ _flushText()

void WP6ContentListener::_flushText | ( |  | ) |
| overrideprotectedvirtual

Implements WPXContentListener.

Referenced by boxOn(), commentAnnotation(), displayNumberReferenceGroupOff(), endTable(), handleLineBreak(), insertCell(), insertRow(), insertTab(), and noteOn().

## ◆ _handleListChange()

void WP6ContentListener::_handleListChange | ( | const unsigned short | outlineHash | ) |
| protected

Referenced by _changeList().

## ◆ _handleSubDocument()

void WP6ContentListener::_handleSubDocument | ( | const WPXSubDocument * | subDocument,
|  | WPXSubDocumentType | subDocumentType,
|  | WPXTableList | tableList,
|  | unsigned | nextTableIndice = `0`
| ) |  |
| overrideprotectedvirtual

Implements WPXContentListener.

## ◆ _paragraphNumberOn()

void WP6ContentListener::_paragraphNumberOn | ( | const unsigned short | outlineHash,
|  | const unsigned char | level
| ) |  |
| protected

Referenced by displayNumberReferenceGroupOn(), and paragraphNumberOn().

## ◆ addTableColumnDefinition()

void WP6ContentListener::addTableColumnDefinition | ( | const unsigned | width,
|  | const unsigned | leftGutter,
|  | const unsigned | rightGutter,
|  | const unsigned | attributes,
|  | const unsigned char | alignment
| ) |  |
| overridevirtual

Implements WP6Listener.

## ◆ attributeChange()

void WP6ContentListener::attributeChange | ( | const bool | isOn,
|  | const unsigned char | attribute
| ) |  |
| overridevirtual

Implements WP6Listener.

## ◆ boxOff()

void WP6ContentListener::boxOff | ( |  | ) |
| overridevirtual

Implements WP6Listener.

## ◆ boxOn()

void WP6ContentListener::boxOn | ( | const unsigned char | anchoringType,
|  | const unsigned char | generalPositioningFlags,
|  | const unsigned char | horizontalPositioningFlags,
|  | const signed short | horizontalOffset,
|  | const unsigned char | leftColumn,
|  | const unsigned char | rightColumn,
|  | const unsigned char | verticalPositioningFlags,
|  | const signed short | verticalOffset,
|  | const unsigned char | widthFlags,
|  | const unsigned short | width,
|  | const unsigned char | heightFlags,
|  | const unsigned short | height,
|  | const unsigned char | boxContentType,
|  | const unsigned short | nativeWidth,
|  | const unsigned short | nativeHeight,
|  | const librevenge::RVNGString & | linkTarget
| ) |  |
| overridevirtual

Implements WP6Listener.

## ◆ characterColorChange()

void WP6ContentListener::characterColorChange | ( | const unsigned char | red,
|  | const unsigned char | green,
|  | const unsigned char | blue
| ) |  |
| overridevirtual

Implements WP6Listener.

## ◆ characterShadingChange()

void WP6ContentListener::characterShadingChange | ( | const unsigned char | shading | ) |
| overridevirtual

Implements WP6Listener.

## ◆ columnChange()

void WP6ContentListener::columnChange | ( | const WPXTextColumnType | columnType,
|  | const unsigned char | numColumns,
|  | const std::vector< double > & | columnWidth,
|  | const std::vector< bool > & | isFixedWidth
| ) |  |
| overridevirtual

Implements WP6Listener.

## ◆ commentAnnotation()

void WP6ContentListener::commentAnnotation | ( | const unsigned short | textPID | ) |
| overridevirtual

Implements WP6Listener.

## ◆ defineTable()

void WP6ContentListener::defineTable | ( | const unsigned char | position,
|  | const unsigned short | leftOffset
| ) |  |
| overridevirtual

Implements WP6Listener.

## ◆ defineTabStops()

void WP6ContentListener::defineTabStops | ( | const bool | isRelative,
|  | const std::vector< WPXTabStop > & | tabStops,
|  | const std::vector< bool > & | usePreWP9LeaderMethods
| ) |  |
| overridevirtual

Implements WP6Listener.

## ◆ displayNumberReferenceGroupOff()

void WP6ContentListener::displayNumberReferenceGroupOff | ( | const unsigned char | subGroup | ) |
| overridevirtual

Implements WP6Listener.

## ◆ displayNumberReferenceGroupOn()

void WP6ContentListener::displayNumberReferenceGroupOn | ( | const unsigned char | subGroup,
|  | const unsigned char | level
| ) |  |
| overridevirtual

Implements WP6Listener.

## ◆ endDocument()

void WP6ContentListener::endDocument | ( |  | ) |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ endSubDocument()

void WP6ContentListener::endSubDocument | ( |  | ) |
| inlineoverridevirtual

Implements WP6Listener.

Referenced by WP6Parser::parseSubDocument().

## ◆ endTable()

void WP6ContentListener::endTable | ( |  | ) |
| overridevirtual

Implements WP6Listener.

## ◆ fontChange()

void WP6ContentListener::fontChange | ( | const unsigned short | matchedFontPointSize,
|  | const unsigned short | fontPID,
|  | const librevenge::RVNGString & | fontName
| ) |  |
| overridevirtual

Implements WP6Listener.

## ◆ globalOff()

void WP6ContentListener::globalOff | ( |  | ) |
| overridevirtual

Implements WP6Listener.

## ◆ globalOn()

void WP6ContentListener::globalOn | ( | const unsigned char | systemStyle | ) |
| overridevirtual

Implements WP6Listener.

## ◆ handleLineBreak()

void WP6ContentListener::handleLineBreak | ( |  | ) |
| overridevirtual

Implements WP6Listener.

## ◆ headerFooterGroup()

void WP6ContentListener::headerFooterGroup | ( | const unsigned char | ,
|  | const unsigned char | ,
|  | const unsigned short |
| ) |  |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ highlightChange()

void WP6ContentListener::highlightChange | ( | const bool | isOn,
|  | const RGBSColor & | color
| ) |  |
| overridevirtual

Implements WP6Listener.

## ◆ indentFirstLineChange()

void WP6ContentListener::indentFirstLineChange | ( | const signed short | offset | ) |
| overridevirtual

Implements WP6Listener.

## ◆ insertBreak()

void WP6ContentListener::insertBreak | ( | const unsigned char | breakType | ) |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ insertCell()

void WP6ContentListener::insertCell | ( | const unsigned char | colSpan,
|  | const unsigned char | rowSpan,
|  | const unsigned char | borderBits,
|  | const RGBSColor * | cellFgColor,
|  | const RGBSColor * | cellBgColor,
|  | const RGBSColor * | cellBorderColor,
|  | const WPXVerticalAlignment | cellVerticalAlignment,
|  | const bool | useCellAttributes,
|  | const unsigned | cellAttributes
| ) |  |
| overridevirtual

Implements WP6Listener.

## ◆ insertCharacter()

void WP6ContentListener::insertCharacter | ( | unsigned | character | ) |
| overridevirtual

Implements WP6Listener.

Referenced by insertTab().

## ◆ insertEOL()

void WP6ContentListener::insertEOL | ( |  | ) |
| overridevirtual

Implements WP6Listener.

## ◆ insertGraphicsData()

void WP6ContentListener::insertGraphicsData | ( | const unsigned short | packetId | ) |
| overridevirtual

Implements WP6Listener.

## ◆ insertRow()

void WP6ContentListener::insertRow | ( | const unsigned short | rowHeight,
|  | const bool | isMinimumHeight,
|  | const bool | isHeaderRow
| ) |  |
| overridevirtual

Implements WP6Listener.

## ◆ insertTab()

void WP6ContentListener::insertTab | ( | const unsigned char | tabType,
|  | double | tabPosition
| ) |  |
| overridevirtual

Implements WP6Listener.

## ◆ insertTextBox()

void WP6ContentListener::insertTextBox | ( | const WP6SubDocument * | subDocument | ) |
| overridevirtual

Implements WP6Listener.

## ◆ justificationChange()

void WP6ContentListener::justificationChange | ( | const unsigned char | justification | ) |
| inlineoverridevirtual

Implements WP6Listener.

Referenced by insertCell().

## ◆ lineSpacingChange()

void WP6ContentListener::lineSpacingChange | ( | const double | lineSpacing | ) |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ marginChange()

void WP6ContentListener::marginChange | ( | const unsigned char | side,
|  | const unsigned short | margin
| ) |  |
| overridevirtual

Implements WP6Listener.

Referenced by _handleSubDocument().

## ◆ noteOff()

void WP6ContentListener::noteOff | ( | const WPXNoteType | noteType | ) |
| overridevirtual

Implements WP6Listener.

## ◆ noteOn()

void WP6ContentListener::noteOn | ( | const unsigned short | textPID | ) |
| overridevirtual

Implements WP6Listener.

## ◆ operator=()

WP6ContentListener & WP6ContentListener::operator= | ( | const WP6ContentListener & |  | ) |
| private

## ◆ pageFormChange()

void WP6ContentListener::pageFormChange | ( | const unsigned short | ,
|  | const unsigned short | ,
|  | const | WPXFormOrientation
| ) |  |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ pageMarginChange()

void WP6ContentListener::pageMarginChange | ( | const unsigned char | ,
|  | const unsigned short |
| ) |  |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ pageNumberingChange()

void WP6ContentListener::pageNumberingChange | ( | const | WPXPageNumberPosition,
|  | const unsigned short | ,
|  | const unsigned short |
| ) |  |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ paragraphMarginChange()

void WP6ContentListener::paragraphMarginChange | ( | const unsigned char | side,
|  | const signed short | margin
| ) |  |
| overridevirtual

Implements WP6Listener.

## ◆ paragraphNumberOff()

void WP6ContentListener::paragraphNumberOff | ( |  | ) |
| overridevirtual

Implements WP6Listener.

## ◆ paragraphNumberOn()

void WP6ContentListener::paragraphNumberOn | ( | const unsigned short | outlineHash,
|  | const unsigned char | level,
|  | const unsigned char | flag
| ) |  |
| overridevirtual

Implements WP6Listener.

## ◆ setAlignmentCharacter()

void WP6ContentListener::setAlignmentCharacter | ( | const unsigned | character | ) |
| overridevirtual

Implements WP6Listener.

## ◆ setDate()

void WP6ContentListener::setDate | ( | const unsigned short | type,
|  | const unsigned short | year,
|  | const unsigned char | month,
|  | const unsigned char | day,
|  | const unsigned char | hour,
|  | const unsigned char | minute,
|  | const unsigned char | second,
|  | const unsigned char | dayOfWeek,
|  | const unsigned char | timeZone,
|  | const unsigned char | unused
| ) |  |
| overridevirtual

Implements WP6Listener.

## ◆ setExtendedInformation()

void WP6ContentListener::setExtendedInformation | ( | const unsigned short | type,
|  | const librevenge::RVNGString & | data
| ) |  |
| overridevirtual

Implements WP6Listener.

## ◆ setLeaderCharacter()

void WP6ContentListener::setLeaderCharacter | ( | const unsigned | character,
|  | const unsigned char | numSpaces
| ) |  |
| overridevirtual

Implements WP6Listener.

Referenced by defineTabStops().

## ◆ setPageNumber()

void WP6ContentListener::setPageNumber | ( | const unsigned short |  | ) |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ setPageNumberingType()

void WP6ContentListener::setPageNumberingType | ( | const WPXNumberingType | pageNumberingType | ) |
| overridevirtual

Implements WP6Listener.

## ◆ spacingAfterParagraphChange()

void WP6ContentListener::spacingAfterParagraphChange | ( | const double | spacingRelative,
|  | const double | spacingAbsolute
| ) |  |
| overridevirtual

Implements WP6Listener.

## ◆ startDocument()

void WP6ContentListener::startDocument | ( |  | ) |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ startSubDocument()

void WP6ContentListener::startSubDocument | ( |  | ) |
| inlineoverridevirtual

Implements WP6Listener.

Referenced by WP6Parser::parseSubDocument().

## ◆ startTable()

void WP6ContentListener::startTable | ( |  | ) |
| overridevirtual

Implements WP6Listener.

## ◆ styleGroupOff()

void WP6ContentListener::styleGroupOff | ( | const unsigned char | subGroup | ) |
| overridevirtual

Implements WP6Listener.

## ◆ styleGroupOn()

void WP6ContentListener::styleGroupOn | ( | const unsigned char | subGroup | ) |
| overridevirtual

Implements WP6Listener.

## ◆ suppressPageCharacteristics()

void WP6ContentListener::suppressPageCharacteristics | ( | const unsigned char |  | ) |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ undoChange()

void WP6ContentListener::undoChange | ( | const unsigned char | undoType,
|  | const unsigned short | undoLevel
| ) |  |
| overridevirtual

Implements WP6Listener.

## ◆ updateOutlineDefinition()

void WP6ContentListener::updateOutlineDefinition | ( | const unsigned short | outlineHash,
|  | const unsigned char * | numberingMethods,
|  | const unsigned char | tabBehaviourFlag
| ) |  |
| overridevirtual

Implements WP6Listener.

## Member Data Documentation

## ◆ m_listDefinitions

std::map<unsigned, librevenge::RVNGPropertyList> WP6ContentListener::m_listDefinitions
| private

Referenced by _handleListChange().

## ◆ m_outlineDefineHash

std::map<unsigned short,WP6OutlineDefinition> WP6ContentListener::m_outlineDefineHash
| private

Referenced by _handleListChange(), and updateOutlineDefinition().

## ◆ m_parseState

std::unique_ptr<WP6ContentParsingState> WP6ContentListener::m_parseState
| private

Referenced by _changeList(), _flushText(), _handleListChange(), _handleSubDocument(), _paragraphNumberOn(), boxOff(), boxOn(), commentAnnotation(), defineTable(), defineTabStops(), displayNumberReferenceGroupOff(), displayNumberReferenceGroupOn(), fontChange(), globalOff(), globalOn(), handleLineBreak(), indentFirstLineChange(), insertCell(), insertCharacter(), insertGraphicsData(), insertTab(), insertTextBox(), marginChange(), noteOff(), noteOn(), paragraphMarginChange(), paragraphNumberOff(), setLeaderCharacter(), setPageNumberingType(), spacingAfterParagraphChange(), startTable(), styleGroupOff(), and styleGroupOn().

The documentation for this class was generated from the following files:

- WP6ContentListener.h
- WP6ContentListener.cpp